Skip to main content
POST
/
budget-cards
/
issue
Issue a new card
curl --request POST \
  --url https://business.bfinance.app/external/api/budget-cards/issue \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "typeId": "<string>",
  "budgetId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "label": "<string>",
  "externalId": "<string>",
  "customerId": "<string>",
  "configuration": {
    "displayName": "<string>",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "countryCode": "<string>"
    }
  }
}
'
{
  "status": "success",
  "data": {
    "id": "<string>",
    "maskedCardNumber": "**** **** **** 1234",
    "currency": "EUR",
    "status": "active",
    "externalCardId": "<string>",
    "sensitive": {
      "number": "5168 3214 5678 1234",
      "expire": "07/29",
      "cvc": "***"
    }
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Body

application/json
typeId
string
required

The ID of the budget‑card type to issue

budgetId
string
required

The budget from which to pay the card‑issuance fee

firstName
string
required

Cardholder’s first name (minimum 2 characters)

lastName
string
required

Cardholder’s last name (minimum 2 characters)

label
string

Optional label to help you identify the card

externalId
string

External ID (optional)

customerId
string

Customer ID (optional, required for specific card types)

configuration
object

Configuration details for the card (optional)

Response

Card successfully issued

status
string
Example:

"success"

data
object